=== cpp/tests/CMakeLists.txt ===
include_directories("${PROJECT_SOURCE_DIR}/cpp" "${CMAKE_CURRENT_BINARY_DIR}/include/purify")
file(MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/outputs")
add_catch_test(measurement_operator LIBRARIES libpurify)
add_catch_test(FFT_operator LIBRARIES libpurify)
add_catch_test(purify_fitsio LIBRARIES libpurify)
add_catch_test(utils LIBRARIES libpurify)
add_catch_test(sparse LIBRARIES libpurify)
if(data AND TARGET casacore::ms)
  add_catch_test(casacore LIBRARIES libpurify ${Boost_FILESYSTEM_LIBRARY} ${Boost_SYSTEM_LIBRARY})
endif()
