=== debian/changelog ===
purify (2.0.0-6) unstable; urgency=medium

  * Team Upload.
  * Use DEB_HOST_MULTIARCH instead of DEB_BUILD_MULTIARCH
    (Closes: #985103)
  * Add "Rules-Requires-Root: no"
  * d/rules: Propagate hardening options
  * Bump watch version to 4

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 14:40:39 +0530

purify (2.0.0-5) unstable; urgency=medium

  * Update github organization name
  * Push Standards-Version to 4.5.0. No changes needed
  * Push compat to 13. Remove d/compat
  * Define SPDLOG_FMT_EXTERNAL to work aound #956694

 -- Ole Streicher <olebole@debian.org>  Sun, 17 May 2020 20:21:27 +0200

purify (2.0.0-4) unstable; urgency=medium

  * Disable measurement_operator test on aarch64 (Closes: #867273)

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Oct 2018 17:22:28 +0200

purify (2.0.0-3) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * Add spdlog header (Closes: #909765)
  * Push Standards-Version to 4.2.1. No changes needed
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Sep 2018 10:48:51 +0200

purify (2.0.0-2) unstable; urgency=medium

  [ Andreas Tille ]
  * URL should be a link to the publishers site (if possible)
  * Full bibtex compatible authors list
  * Publisher provides PDF to point there which is considered more safe
    than private homepages that might vanish randomly

  [ Ole Streicher ]
  * spdlog modified API (Closes: #884214)
  * Push Standards-Version to 4.1.2. Use https in all urls

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Dec 2017 21:07:05 +0100

purify (2.0.0-1) unstable; urgency=low

  * New package. Closes: #830126

 -- Ole Streicher <olebole@debian.org>  Tue, 18 Oct 2016 11:33:14 +0200
