=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CMAKE_FLAGS += -DDEB_HOST_MULTIARCH=`dpkg-architecture -qDEB_HOST_MULTIARCH`

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	cp -r /usr/include/eigen3 .
	cd eigen3 && patch -p1 < ../debian/eigen3_LukePratley.patch
	dh_auto_configure -- $(CMAKE_FLAGS)
