=== debian/changelog ===
purify (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Drop almost all patches: superceded upstream
  * Push Standards-Version to 4.7.0. No changes needed
  * Remove unused copyright statements
  * Disable search for fftw3
  * Update build dependencies
  * Add missing cstdint header
  * Remove local eigen3 implementation. Closes: #1001528
  * Disable long-running tests
  * Add gitlab-ci.yml
  * Limit build architectures to 64 bit

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Sep 2024 14:36:53 +0200
