=== debian/control ===
--- 
+++ 
@@ -3,19 +3,23 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
-Build-Depends: casacore-dev,
+Build-Depends: architecture-is-64-bit,
+               casacore-dev,
                catch,
                cmake,
                debhelper-compat (= 13),
                libblas-dev,
                libboost-dev,
+               libboost-filesystem-dev,
                libccfits-dev,
+               libcubature-dev,
                libeigen3-dev,
                libfftw3-dev,
-               libsopt-dev,
+               libsopt-dev (>= 4.1.0~),
                libspdlog-dev,
-               libtiff5-dev
-Standards-Version: 4.5.0
+               libtiff5-dev,
+               libyaml-cpp-dev
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/purify.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/purify
 Homepage: https://astro-informatics.github.io/purify/
