=== cpp/purify/CMakeLists.txt ===
--- 
+++ 
@@ -75,19 +75,6 @@
   $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
   $<INSTALL_INTERFACE:include/>)
 
-if (cppflow)
-  target_link_libraries(libpurify "${TENSORFLOW_LIB}")
-  # Make cppflow include directory public. Install interface can't point to source directory,
-  # so it needs to be separately defined, explained in
-  # https://stackoverflow.com/questions/25676277/cmake-target-include-directories-prints-an-error-when-i-try-to-add-the-source
-  # Add /usr/local/include for default location of TensorFlow headers
-  target_include_directories(libpurify PUBLIC
-    $<BUILD_INTERFACE:${cppflow_INCLUDE_DIR}>
-    $<BUILD_INTERFACE:/usr/local/include>
-    $<INSTALL_INTERFACE:cppflow/include/>
-  )
-endif()
-
 add_include_dir(
   ${EIGEN3_INCLUDE_DIR}
   ${Boost_INCLUDE_DIR}
@@ -124,12 +111,6 @@
   add_dependencies(libpurify Lookup-CasaCore)
 endif()
 
-# Add spdlog as direct dependency
-if(spdlog_FOUND)
-  target_link_libraries(libpurify spdlog::spdlog)
-  target_include_directories(libpurify SYSTEM PUBLIC ${spdlog_INCLUDE_DIR})
-endif()
-
 install(FILES ${HEADERS} DESTINATION include/purify)
 install(TARGETS libpurify
   EXPORT PurifyTargets
