=== debian/changelog ===
purify (4.2.0-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:32 +0200

purify (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * Drop Add-missing-cstdint-header.patch: applied upstream
  * Replace catch b-dep with catch2 (Closes: #1092262)
  * Disable failing tests
  * Push Standards-Version to 4.7.2, no changes needed
  * Don't install test data

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Mar 2025 22:15:47 +0100
