=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Gijs Molenaar <gijs@pythonic.nl>, Ole Streicher <olebole@debian.org>
 Build-Depends: architecture-is-64-bit,
                casacore-dev,
-               catch,
+               catch2,
                cmake,
                debhelper-compat (= 13),
                libblas-dev,
@@ -19,7 +19,7 @@
                libspdlog-dev,
                libtiff5-dev,
                libyaml-cpp-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/purify.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/purify
 Homepage: https://astro-informatics.github.io/purify/
