=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/purify-$1\.tar\.gz/ \
  https://github.com/astro-informatics/purify/tags .*/v?(\d\S*)\.tar\.gz
